/*
 * Khoros: $Id$
 */
 
/*
 * $Log$
 */
 
/*
 * Copyright (C) 1993, 1994, 1995, Khoral Research, Inc., ("KRI").
 * All rights reserved.  See $BOOTSTRAP/repos/license/License or run klicense.
 */


/* >>>>>>>>>>>>>>>>>>>>>>>>>>>>>> <<<<<<<<<<<<<<<<<<<<<<<<<<
   >>>>
   >>>>       Purpose: Definitions and prototypes for library kmpi
   >>>>
   >>>>       Toolbox: $PARALLEL
   >>>>
   >>>>    Written By: Nathan Doss
   >>>>
   >>>>          Date: 11/9/95
   >>>>
   >>>> Modifications:
   >>>>
   >>>>>>>>>>>>>>>>>>>>>>>>>>>>>> <<<<<<<<<<<<<<<<<<<<<<<<<< */

#ifndef _kmpi_h_
#define _kmpi_h_


	/*-------------------------------------*
	|       #include
	---------------------------------------*/

/***************************************************************************
  Include the normal MPI header file
  **************************************************************************/
#include "mpi.h"

	/*-------------------------------------*
	|       #defines
	---------------------------------------*/


	/*-------------------------------------*
	|       typedefs
	---------------------------------------*/

/***************************************************************************
  A Handle for KMPI input/output routines
  **************************************************************************/
typedef struct KMPI_HANDLE {
    int       num_comms; 
    MPI_Comm *comm;     
} KMPI_Handle;

	/*-------------------------------------*
	|       global variable declarations
	---------------------------------------*/

/***************************************************************************
  KMPI_COMM_WORLD - The MPI world after subdivision into work units
  kmpi_in         - handle with input communicators
  kmpi_out        - handle with output communicators
  **************************************************************************/
extern MPI_Comm    KMPI_COMM_WORLD;
extern KMPI_Handle kmpi_in, kmpi_out;

	/*-------------------------------------*
	|       macros
	---------------------------------------*/

/***************************************************************************
  Re-define MPI_COMM_WORLD to be the world after it has been subdivided.
  **************************************************************************/
#ifndef KMPILIBRARY
#define MPI_COMM_WORLD  KMPI_COMM_WORLD
#endif

/***************************************************************************
  Re-define the MPI init and finalize functions to call the Khoros versions.
  **************************************************************************/
#ifndef KMPILIBRARY
#define MPI_Init        KMPI_Init
#define MPI_Finalize    KMPI_Finalize
#endif

	/*-------------------------------------*
	|       routine definitions
	---------------------------------------*/

/***************************************************************************
  Prototypes
  **************************************************************************/
int KMPI_Init (int *argc, char ***argv);
int KMPI_Finalize(void);

	/* Ghostwriter Prototypes:  Do Not Erase This Comment */


#endif /* _kmpi_h_ */
/* Don't add after this point */
