/*
 * Khoros: $Id$
 */

#if !defined(__lint) && !defined(__CODECENTER__)
static char rcsid[] = "Khoros: $Id$";
#endif

/*
 * $Log$
 */

/*
 * Copyright (C) 1993, 1994, 1995, Khoral Research, Inc., ("KRI").
 * All rights reserved.  See $BOOTSTRAP/repos/license/License or run klicense.
 */


/* >>>>>>>>>>>>>>>>>>>>>>>>>>>>> <<<<<<<<<<<<<<<<<<<<<<<<<<
   >>>> 
   >>>> 	Library Routine for kimage_proc
   >>>> 
   >>>>	Private: 
   >>>>	Static: 
   >>>>	Public: 
   >>>> 
   >>>>>>>>>>>>>>>>>>>>>>>>>>>>> <<<<<<<<<<<<<<<<<<<<<<<<<< */

#include "internals.h"
#include "mpi.h"


/****************************************************************
* 
*  Routine Name: function_name - short description of function
* 
*       Purpose: This should be a complete description that anyone
*                could understand;  it should have acceptable grammar
*                and correct spelling.
*
*		This is the header for a PUBLIC function
*
*         Input: argument1 - explanation
*                argument2 - explanation
*                argument3 - explanation
*
*        Output: argument4 - explanation
*                argument5 - explanation
*
*       Returns: TRUE (1) on success, FALSE (0) otherwise
*
*  Restrictions: Restrictions on data or input as applicable
*    Written By: 
*          Date: Nov 15, 1994
*      Verified: 
*  Side Effects: 
* Modifications:
****************************************************************/

/*-----------------------------------------------------------
|
|  Routine Name: foo - short description of foo()
|
|       Purpose: This should be a complete description that anyone
|                could understand;  it should have acceptable grammar
|                and correct spelling.
|
|		This is the header for a PIRVATE or STATIC function
|
|         Input: argument1 - explanation
|                argument2 - explanation
|                argument3 - explanation
|
|        Output: argument4 - explanation
|                argument5 - explanation
|
|       Returns: TRUE (1) on success, FALSE (0) otherwise
|
|    Written By:
|          Date: 
| Modifications:
|
------------------------------------------------------------*/

MPI_Datatype ktompi (int ktype) {
	switch (ktype) {
		case KBYTE :
			return MPI_BYTE;
			break;
		case KUBYTE :
			return MPI_UNSIGNED_CHAR;
			break;
		case KSHORT :
			return MPI_SHORT;
			break;
		case KUSHORT :
			return MPI_UNSIGNED_SHORT;
			break;
		case KINT :
			return MPI_INT;
			break;
		case KUINT :
			return MPI_UNSIGNED;
			break;
		case KLONG :
			return MPI_LONG;
			break;
		case KULONG :
			return MPI_UNSIGNED_LONG;
			break;
		case KFLOAT :
			return MPI_FLOAT;
			break;
		case KDOUBLE :
			return MPI_DOUBLE;
			break;
		default :
			kerror ("kimage_proc", "ktompi", "Bad Type");
			return NULL;
			break;
	}
}
